ClarisWksTextInternal::TextZoneInfo Struct Reference

internal class used to store a text zone More...

## Public Member Functions

| TextZoneInfo ()
| constructor

## Public Attributes

long | m_pos
int | m_N
| the number of character
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, TextZoneInfo const &info)
| operator<<

## Detailed Description

internal class used to store a text zone

## Constructor & Destructor Documentation

## TextZoneInfo()

ClarisWksTextInternal::TextZoneInfo::TextZoneInfo | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TextZoneInfo const & | info )

friend

operator<<

## Member Data Documentation

## m_extra

std::string ClarisWksTextInternal::TextZoneInfo::m_extra

extra data

Referenced by operator<<, and TextZoneInfo().

## m_N

int ClarisWksTextInternal::TextZoneInfo::m_N

the number of character

Referenced by operator<<, ClarisWksText::readTextZoneSize(), and TextZoneInfo().

## m_pos

long ClarisWksTextInternal::TextZoneInfo::m_pos

Referenced by operator<<, ClarisWksText::readTextZoneSize(), and TextZoneInfo().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx